<?php
namespace Engine\Mvc\Response;

/**
 * Response used for JSON messages
 * The body of the response will contain the whole JSON object
 * @author Lucian Sirbu
 */
class DebugJson extends Json
{
	/**
	 * (non-PHPdoc)
	 * @see \Engine\Mvc\Response\Json::initialize()
	 */
	protected function initialize($body, array $headersArr)
	{
		$this->body = 	new Components\DebugJsonBody($body);
		$this->headers = new Components\NullHeaders($headersArr);
	}
}
